Skip to main content
GET
List test execution stale holds

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

created_by
string[]

Multiple values may be separated by commas.

device_id
string<uuid>[]

Multiple values may be separated by commas.

limit
integer

Number of results to return per page.

Required range: 1 <= x <= 500
operation_slug
string
page
integer

A page number within the paginated result set.

rack_id
string<uuid>[]

Multiple values may be separated by commas.

source
enum<string>

Filter holds by why the executions were marked stale.

  • manual - Manual
  • operation - Operation
Available options:
manual,
operation
test_slug
string
topology_group_id
string<uuid>[]

Multiple values may be separated by commas.

undone
boolean

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"